RetrieveEngine
Date: 2014-12-13

org.apache.ivy.core.retrieve

## Class RetrieveEngine

- java.lang.Object
- - org.apache.ivy.core.retrieve.RetrieveEngine

-     public class RetrieveEngine
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetrieveEngine(RetrieveEngineSettings settings, EventManager eventManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map` | `determineArtifactsToCopy(ModuleRevisionId mrid, java.lang.String destFilePattern, RetrieveOptions options)`
    `RetrieveReport` | `retrieve(ModuleRevisionId mrid, RetrieveOptions options)`
    `int` | `retrieve(ModuleRevisionId mrid, java.lang.String destFilePattern, RetrieveOptions options)` Deprecated. Use `retrieve(org.apache.ivy.core.module.id.ModuleRevisionId, RetrieveOptions)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RetrieveEngine

          public RetrieveEngine(RetrieveEngineSettings settings,
                        EventManager eventManager)

  - ### Method Detail

    - #### retrieve

          @Deprecated
          public int retrieve(ModuleRevisionId mrid,
                                java.lang.String destFilePattern,
                                RetrieveOptions options)
                       throws java.io.IOException

      Deprecated. Use `retrieve(org.apache.ivy.core.module.id.ModuleRevisionId, RetrieveOptions)` instead
      example of destFilePattern : - lib/[organisation]/[module]/[artifact]-[revision].[type] - lib/[artifact].[type] : flatten with no revision moduleId is used with confs and localCacheDirectory to determine an ivy report file, used as input for the copy If such a file does not exist for any conf (resolve has not been called before ?) then an IllegalStateException is thrown and nothing is copied.
      Throws:
        `java.io.IOException`

    - #### retrieve

          public RetrieveReport retrieve(ModuleRevisionId mrid,
                                RetrieveOptions options)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### determineArtifactsToCopy

          public java.util.Map determineArtifactsToCopy(ModuleRevisionId mrid,
                                               java.lang.String destFilePattern,
                                               RetrieveOptions options)
                                                 throws java.text.ParseException,
                                                        java.io.IOException

      Returns:
        Map>
      Throws:
        `java.text.ParseException`
        `java.io.IOException`